Returns the details of a single admin action request.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/adminActions/{adminActionRequestId} \
--header 'Authorization: Bearer <token>'{
"actionRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"actionType": "settings_change",
"displayName": "<string>",
"category": "<string>",
"actionPayload": {},
"requiredApprovals": 123,
"currentApprovals": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"responses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "approved",
"createdAt": "2023-11-07T05:31:56Z",
"reviewer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"note": "<string>"
}
],
"targetEntityType": "<string>",
"targetEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previousState": {},
"resolvedAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of organization
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Admin action request details
Wrapper response for a single action request, returned by get/approve/deny endpoints.
An admin action that may require approval before execution. When approval mode is enabled, sensitive actions create a pending request. When disabled, actions are auto-approved with an audit record.
Show child attributes
Human-readable message, e.g. "This action requires approval from another admin."
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/adminActions/{adminActionRequestId} \
--header 'Authorization: Bearer <token>'{
"actionRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"actionType": "settings_change",
"displayName": "<string>",
"category": "<string>",
"actionPayload": {},
"requiredApprovals": 123,
"currentApprovals": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"responses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "approved",
"createdAt": "2023-11-07T05:31:56Z",
"reviewer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"note": "<string>"
}
],
"targetEntityType": "<string>",
"targetEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previousState": {},
"resolvedAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}